## org.jfree.data
Interface HighLowDataset

All Superinterfaces:
  Dataset, SeriesDataset, XYDataset

All Known Implementing Classes:
  CombinedDataset, DefaultHighLowDataset, OHLCDataset, SubSeriesDataset

public interface HighLowDataset
extends XYDataset

An interface that defines data in the form of (x, high, low, open, close) tuples.

Example: JFreeChart used this interface to obtain data for high-low-open-close plots.

Method Summary
`double` `getClose(int series, int item)` Returns the close-value (as a double primitive) for an item within a series.
`java.lang.Number` `getCloseValue(int series, int item)` Returns the y-value for the specified series and item.
`double` `getHigh(int series, int item)` Returns the high-value (as a double primitive) for an item within a series.
`java.lang.Number` `getHighValue(int series, int item)` Returns the high-value for the specified series and item.
`double` `getLow(int series, int item)` Returns the low-value (as a double primitive) for an item within a series.
`java.lang.Number` `getLowValue(int series, int item)` Returns the low-value for the specified series and item.
`double` `getOpen(int series, int item)` Returns the open-value (as a double primitive) for an item within a series.
`java.lang.Number` `getOpenValue(int series, int item)` Returns the open-value for the specified series and item.
`double` `getVolume(int series, int item)` Returns the volume-value (as a double primitive) for an item within a series.
`java.lang.Number` `getVolumeValue(int series, int item)` Returns the volume for the specified series and item.

Methods inherited from interface org.jfree.data.XYDataset
`getItemCount, getX, getXValue, getY, getYValue`

Methods inherited from interface org.jfree.data.SeriesDataset
`getSeriesCount, getSeriesName`

Methods inherited from interface org.jfree.data.Dataset
`addChangeListener, getGroup, removeChangeListener, setGroup`

Method Detail

### getHighValue

    public java.lang.Number getHighValue(int series,
                                         int item)

  Returns the high-value for the specified series and item.

  Parameters:
    `series` - the series (zero-based index).
    `item` - the item (zero-based index).
  Returns:
    The value.

### getHigh

    public double getHigh(int series,
                          int item)

  Returns the high-value (as a double primitive) for an item within a series.

  Parameters:
    `series` - the series (zero-based index).
    `item` - the item (zero-based index).
  Returns:
    The high-value.

### getLowValue

    public java.lang.Number getLowValue(int series,
                                        int item)

  Returns the low-value for the specified series and item.

  Parameters:
    `series` - the series (zero-based index).
    `item` - the item (zero-based index).
  Returns:
    The value.

### getLow

    public double getLow(int series,
                         int item)

  Returns the low-value (as a double primitive) for an item within a series.

  Parameters:
    `series` - the series (zero-based index).
    `item` - the item (zero-based index).
  Returns:
    The low-value.

### getOpenValue

    public java.lang.Number getOpenValue(int series,
                                         int item)

  Returns the open-value for the specified series and item.

  Parameters:
    `series` - the series (zero-based index).
    `item` - the item (zero-based index).
  Returns:
    The value.

### getOpen

    public double getOpen(int series,
                          int item)

  Returns the open-value (as a double primitive) for an item within a series.

  Parameters:
    `series` - the series (zero-based index).
    `item` - the item (zero-based index).
  Returns:
    The open-value.

### getCloseValue

    public java.lang.Number getCloseValue(int series,
                                          int item)

  Returns the y-value for the specified series and item.

  Parameters:
    `series` - the series (zero-based index).
    `item` - the item (zero-based index).
  Returns:
    The value.

### getClose

    public double getClose(int series,
                           int item)

  Returns the close-value (as a double primitive) for an item within a series.

  Parameters:
    `series` - the series (zero-based index).
    `item` - the item (zero-based index).
  Returns:
    The close-value.

### getVolumeValue

    public java.lang.Number getVolumeValue(int series,
                                           int item)

  Returns the volume for the specified series and item.

  Parameters:
    `series` - the series (zero-based index).
    `item` - the item (zero-based index).
  Returns:
    The value.

### getVolume

    public double getVolume(int series,
                            int item)

  Returns the volume-value (as a double primitive) for an item within a series.

  Parameters:
    `series` - the series (zero-based index).
    `item` - the item (zero-based index).
  Returns:
    The volume-value.